## gnuchess-opt 5.07-7-maemo1

=== debian/changelog ===
gnuchess-opt (5.07-7-maemo1) unstable; urgency=low

  * Optified for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 15 May 2012 19:30:35 +0200

gnuchess (5.07-7) unstable; urgency=low

  * Fix getline FTBFS. Closes: #552906, #559909.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 07 Dec 2009 19:00:35 +0000

gnuchess (5.07-6) unstable; urgency=low

  * Move readline dependency to libreadline-dev.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:17:57 +0100

gnuchess (5.07-5) unstable; urgency=low

  * debian/control:
    - New maintainer. Closes: #503524
    - Update compat to 7 and upgrade debhelper Build-Depends.
    - Add Homepage field.
    - Add Vcs-* fields.
    - Update Standards-Version to 3.8.0. (No changes).
  * Convert copyright to machine readable format.
  * Tidy up debian/rules
  * Add watch file.
  * Add quilt patch system:
    - 00_compile_fixes.diff - move changes out of top srcdir.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 26 Oct 2008 21:21:56 +0000

gnuchess (5.07-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in debian/rules. (closes: #477581)

 -- Peter Eisentraut <petere@debian.org>  Mon, 26 May 2008 03:11:28 +0200

gnuchess (5.07-4) unstable; urgency=low

  * Updated libreadline-dev build dependency to resolve build
    failure. Thanks to Matthias Klose for the patch, and thanks
    to Florian Ernst for the gentle nudge. (closes: #326354) 
  * Updated to standards version 3.6.2.1.
  * Updated the FSF address in debian/copyright.

 -- Lukas Geyer <lukas@debian.org>  Tue, 29 Nov 2005 15:27:47 -0700

gnuchess (5.07-3) unstable; urgency=low

  * Removed superfluous declaration of input_thread in src/common.h.
    Thanks to Andreas Jochens for the patch. (closes: #297582)

 -- Lukas Geyer <lukas@debian.org>  Fri,  4 Mar 2005 14:59:12 -0500

gnuchess (5.07-2) unstable; urgency=low

  * Fixed sprintf() undefined behavior in src/pgn.c. Thanks to
    Ben Winslow for the patch. (closes: #228197)

 -- Lukas Geyer <lukas@debian.org>  Sat, 17 Jan 2004 09:50:29 -0500

gnuchess (5.07-1) unstable; urgency=low

  * New upstream version.
  * Update to standards version 3.6.1
  * Improve wording in gnuchessx manpage.
  * Do not write logfiles by default.
  * Update debian/copyright, strip of some unnecessary stuff and
    include all upstream authors.

 -- Lukas Geyer <lukas@debian.org>  Sun,  5 Oct 2003 02:52:48 -0400

gnuchess (5.06-1) unstable; urgency=low

  * New upstream version. (closes: #184935)

 -- Lukas Geyer <lukas@debian.org>  Sat, 15 Mar 2003 16:30:36 -0500

gnuchess (5.04-4) unstable; urgency=low

  * src/book.c: fixed segfault when using gnuchess without book
    in xboard or eboard. (closes: #170652)

 -- Lukas Geyer <lukas@debian.org>  Mon, 25 Nov 2002 20:58:56 -0500

gnuchess (5.04-3) unstable; urgency=low

  * New maintainer
  * Updated to standards version 3.5.7.
  * Updated debian/rules to use debhelper.
  * Removed build-dependency on autoconf, added build dependency on
    autotools-dev for config.{sub,guess}.
  * Added Recommends: gnuchess-book and actually fixed the book
    code. (closes: #144705)
  * Incorporated changes from NMU for 5.04-2.1, except the change to
    debian/rules which has been completely rewritten and the change to
    debian/README.Debian
  * Added instructions on opening book creation to debian/README.Debian,
    and a recommendation to install gnuchess-book. (closes: #144703)
  * Updated debian/copyright.
  * Re-added rudimentary manpage for gnuchess(6) and menu entry from the NMU
    of Andreas Tille for 5.03-0.1.
  * Provide gnuchessx as a separate script, added a note on startup that
    it is obsolete.
  * Added manpage for gnuchessx(6).
  
 -- Lukas Geyer <lukas@debian.org>  Thu, 17 Oct 2002 21:31:48 -0400

gnuchess (5.04-2.1) unstable; urgency=high

  * NMU
  * Fixed buffer overflows in src/pgn.c and src/epd.c. 
    (closes: #162701, #163757)  
  * Reverted broken "fix" to gnuchessx. (closes: #145366)
  * Give build options to configure, not make in debian/rules.
    (closes: #145505)
  * Added build dependencies on libreadline4-dev and
    libncurses5-dev. (closes: #144656)
  * Corrected instructions in README.Debian about opening book.

 -- Lukas Geyer <lukas@debian.org>  Tue,  8 Oct 2002 13:48:22 -0400

gnuchess (5.04-2) unstable; urgency=low

  * Update changelog with NMU entries.

 -- Martin Mitchell <martin@debian.org>  Fri, 26 Apr 2002 00:51:26 +1000

gnuchess (5.04-1) unstable; urgency=low

  * New upstream release. (closes: #95339, #129653, #128306, #130807, #138829)
    Also (closes: #122091)
  * Remove book from package, following upstream.
  * Rename source package back to gnuchess, following upstream.
  * Update to standards version 3.5.6.
  * Implement symlinks to doc directory. (closes: #102449)
  * Also suggest eboard. (closes: #103044)
  * Change gnuchessx script to new syntax. (closes: #105792)
  
 -- Martin Mitchell <martin@debian.org>  Wed, 24 Apr 2002 23:57:31 +1000

chess (5.03-0.2) unstable; urgency=low

  * fixes permissions of /usr/games/gnuchessx
    closes: #138829

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2002 08:02:01 +0100

chess (5.03-0.1) unstable; urgency=low

  * NMU
  * New upstream version which
    closes: #119475
    closes: #130807
  * Standards: 3.5.6
  * Switched to debhelper to
    closes: #102449
    (Sorry, I do not know how to close this long standing RC bug
     in the currently used packaging system.  So I had to switch.)
  * Build-Depends: debhelper
  * PORTERS PLEASE CHECK!
    If I understand the NEWS file correct we could go with only
    one compiled book for all architectures.  I did not implement
    this but I really hope that somebody would check this to save
    space of our archive.
    Perhaps the book should be packaged in a separate source/binary
    package because it is also in a separate upstream source.

