=== debian/control ===
Source: gnuchess-opt
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7), libreadline5-dev, libncurses5-dev, flex, autotools-dev
Standards-Version: 3.8.3
Homepage: http://www.gnu.org/software/chess/
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-gnuchess.git
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-gnuchess.git
XSBC-Bugtracker:  http://www.gnu.org/software/chess/

Package: gnuchess-opt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuchess-book
Conflicts: gnuchess
Suggests: xboard | eboard
Description: Plays a game of chess, either against the user or against itself
 Gnuchess is an updated version of the GNU chess playing program.  It has a
 simple alpha-numeric board display, and is also compatible with frontends
 like xboard and eboard.
